Workflows

List node run items

GET
/workflow-node-runs/{node_run_id}/items

Read the input or output items of one node activation of a workflow run, paged. Output items are read per port (default main).

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

node_run_id*string

Resource identifier: node_run_id.

Formatuuid

Query Parameters

side*string

Filter or parameter: side.

Value in

  • "input"
  • "output"
port?string

Filter or parameter: port.

Lengthlength <= 40
limit?integer

Filter or parameter: limit.

Range1 <= value <= 100
Default50
cursor?string

Opaque continuation cursor from the previous response.

Lengthlength <= 2048

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/workflow-node-runs/123e4567-e89b-42d3-a456-426614174000/items?side=input"
{  "items": [],  "total": 0,  "offset": 0,  "limit": 0,  "next_cursor": null}